body {
  font-family: arial, helvetica, sans-serif;
  font-size:10pt; 
  background-color: white;
  color:#0000AA;
}

a.link,
a.link:visited {
   color: #00C;
   text-decoration:none;
}

v:link {
  color: #00C;
}

a.link:hover {
  color: #00C;
}

body:has(dialog#my-extension-id[open]) {
    overflow: hidden;
}

h2 { 
  font-size: 36px;
}

p { 
  font-size: 14pt;
}

a {
  text-decoration: none;
}

#banner {
  display:table;
  height:50px;
  width:100%;
}

.logo img {
  height: 70px;
}

.site-name {
  width:95%;
  vertical-align:middle;
  background-color:black;
  font-size:24pt;
  font-weight:bold;
  text-align:center;
  padding:5px 12px 4px 12px;
}

.site-description {
  font-size:12pt;
  font-style:italic;
  padding:0 0 5px
}

.address {
  font-family: sans-serif;
  font-size: 24pt;
  font-weight: bold;
  text-align: center;
}

.address-asterisk {
  font-size:12pt;
  vertical-align:super
}

.address-footnote {
  display:flex;
  justify-content:center;
  font-size:10pt;
  font-style:italic;
  margin-top:16px
}

.features {
  font-size:12pt;
  line-height:18pt;
  list-style-position:inside;
  padding: 0 4px 4px 0px;
  /* border: 1px solid purple; */
}

ul {
  list-style: disc outside none;
  margin-left: 0;
  padding-left: 1.5em;
}

.rent-status-container {
  display:flex;
  justify-content:center;
}

.rent-status {
  font-size:18pt;
  font-weight:bold;
  text-align:center;
  color:maroon;
  border:1px solid maroon;
  padding:2px;
  margin-left:12px;
  margin-bottom: 18px;
  background-color:#EEEEEE;
}

@media only screen and (max-width: 600px) {
  .address {
    font-size: 18pt;
  }
  .features {
    font-size: 12pt;
  }
  .rent-status {
    font-size: 14pt;
  }
}

.contact-info {
  text-align:center;
  color:black;
  font-size:14pt;
  line-height:200%;
  font-weight:bold;
  margin-top:16px;
}

.contact-info a {
  font-size: 12pt;
  color: #C00;
}

.image-container-with-text {
  /*
  position: relative;
  text-align: center;
  color: white;
  */
}

.image-text {
  /*
  text-align: center;
  position: absolute;
  font-size: 14pt;
  font-weight: normal;
  background-color: black;
  color: white;
  border: 3px solid green; 
  top: 70%;
  bottom: 25%;
  left: 0%;
  right: 40%;
  z-index: 1;
  transform: translate(-10%, 10%);
  */
  text-align: center;
  position: relative;
  font-size: 14pt;
  font-weight: normal;
  color: white;
  left: 12dvh;
  bottom: 8dvh;
  justify-content: space-around;
  transform: translate(-10%, 10%);
  z-index: 1;
  margin-bottom: -16px;
  pointer-events: none;
}

#image-thumbs { 
  display: flex; 
  justify-content: center; 
  margin-top: 20px;
}

#image-thumbnails img { 
  /*
  width: 80px; 
  */
  width: 20%;
  /*
  height: 80px;
  */ 
  object-fit: cover;
  /*
  margin-right: 10px; 
  */
  cursor: pointer;
}

/*re
#image-thumbnails img {
#image-thumbnails img.thumbnail {
*/

#main-images {
  float:left;
  object-fit:contain;
  width:55%;
}

#main-image { 
  width:99%;
  padding-right:6px
}

#main-description {
  float:right;
  width:44%;
  margin:-5px 0 0 0;
  padding:0 0 6px 0
}

img.thumbnail {
  width: 124px;
  /* height: 80px; */ 
  object-fit: cover; 
  margin-right: 10px;
  padding: 1 3 1 3;
  cursor: pointer;
  vertical-align: top;
}

#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover,
#main-image:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  /* flex-direction: column; */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  /* Location of the box */
  /*
  padding-top: 10px;
  */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  margin-bottom: 100px;
  /* Enable scroll if needed */
  /*
  overflow: auto;
  */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.8); /* Black w/ opacity */

/*  display: flex; */
  flex-direction: row;
  /* scrollbar-width: auto; */
  /*scrollbar-color: white;*/
}

/* Modal close button */
.modal-close {
  height: 30px;
  border: 1px solid white;
  overflow: clip; /* Enable scroll if needed */
}

/* Modal Content (Image) */
.modal-content {
  /* max-height: 100%; */
  width: 75%; 
  top: 60px;
  /* overflow: auto; */
  margin: auto;
  margin-top: 70px;
  margin-bottom: 10px;
  display: block;
  /* max-width: 90%; */
  overflow-y: auto;
}

.modal-content img {
  margin-top: 0px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
.caption {
  margin: auto;
  margin-bottom: 22px;
  display: block;
  width: 90%;
  /*max-width: 2000px;*/
  font-size: 14pt;
  text-align: center;
  color: white /*#ccc*/;
  /*
  padding: 0 0 0 0;
  */
  height: 20px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* Medium Image Width on Medium Screens */
@media only screen and (max-width: 1000px){
  .modal-content {
    width: 80%;
  }
}

/* almost 100% Image Width on Smaller Screens */
@media only screen and (max-width: 600px){
  .modal-content {
    /*** width: 98%; ***/
  }
}

/* Hide tree logo on small screens. */
@media only screen and (max-width: 1100px) {
  div.site-name {
    font-size: 18pt;
  }
  div.logo img {
    height: 61px;
  }
}

/* Hide tree logo on small screens. */
@media only screen and (max-width: 650px) {
  div.logo {
    display: none;
  }
}

div.listing {
  border:1px solid navy;
  background-color:#BBBBBB;
  margin: 16px 8px 8px 8px;
  overflow:auto;
  text-decoration:none;
  font-size: 12pt;
  display: fiex;
  justify-content: left;
}

/* Hide tree logo on small screens. */
@media only screen and (max-width: 1100px) {
  div.listing {
    /* margin: 0; */ /* 16px 8px 8px 8px; */
    margin: 16px 0 0 0;
    width: 100%;
	/* border: 2px solid red; */
  }
}

div.listing-photo {
  margin: 15px;
  float:left;
}

div.listing-photo img {
  width: 330px;
  border:1px solid black;
}

div.listing-text {
  /* margin: 2px solid green; */
}

@media only screen and (max-width: 1100px) {
  div.listing-photo img {
    width: 100%;
  }
  div.listing-text {
	/* border: 2px solid red; */
	margin-left: 15px;
  }
}

div.listing-address {
  font-size:14pt;
  font-weight:bold;
}

div.listing-footnote {
  font-size:9pt;
  font-style: italic;
}

div.listing-features {
  padding-top: 8px;
}

div.listing-features ul {
  padding-bottom: 6px;
}

div.listing-features ul li {
  font-size:11pt;
  line-height: 1.5em;
  color:black;
}

.listing .rent-status-container {
  margin-top: 6px;
  justify-content: left;
}

div.listing span.rent-status {
  font-size:14pt;
}

.more-link {
  margin-top: 4px;
  margin-left: 30px;
  font-size: 14pt;
  font-weight: bold;
}